{% if paginator.num_pages > 1%}
<div class="d-flex justify-content-center">
    <ul class="pagination">
        {% if entity.has_previous %}
            <li class="page-item d-none d-sm-block"><a style="cursor:pointer" class="page-link" href="?page={{ entity.previous_page_number }}">Anterior</a></li>
        {% endif %}
        {% for page in paginator.page_range %}
            {% if forloop.last and page != entity.number and paginator.num_pages > 7 %} 
                {% if entity.next_page_number != paginator.num_pages%}
                <li class="page-item">
                    <a style="cursor:pointer" class="page-link" href="?page={{ entity.number | add:1 }}">...</a>
                </li>
                {% endif %}
            <li class="page-item">
                    <a style="cursor:pointer" class="page-link" href="?page={{paginator.num_pages}}">{{paginator.num_pages}}</a>
            </li>
            {% endif %}
            {% if page == entity.number and page > 7 %}
            <li class="page-item">
                <a style="cursor:pointer" class="page-link" href="?page={{ page | add:-1 }}">...</a>
            </li>    
            {% endif %}
            {% if page < 7 or page == entity.number %}
            <li class="page-item {% if page == entity.number %}active{% endif %}">
                <a style="cursor:pointer" class="page-link" href="?page={{ page }}">{{ page }}</a>
            </li>
            {% endif %}
        {% endfor %}
        {% if entity.has_next %}
            <li class="page-item d-none d-sm-block">
                <a style="cursor:pointer" class="page-link" href="?page={{ entity.next_page_number }}">Siguiente</a>
            </li>
        {% endif %}
    </ul>
</div>
<div class="d-flex justify-content-center d-sm-none">            
    {% if entity.has_previous %}
        <span class="page-item"><a style="cursor:pointer"  class="page-link" href="?page={{ entity.previous_page_number }}">Anterior</a></span>
    {% endif %}
    {% if entity.has_next %}
        <span class="page-item"><a style="cursor:pointer" class="page-link" href="?page={{ entity.next_page_number }}">Siguiente</a></span>
    {% endif %}
    <br>
    <br>
</div>
{% endif %}